Форум программистов, компьютерный форум, киберфорум
Наши страницы
Программирование Android
Войти
Регистрация
Восстановить пароль
 
Рейтинг 4.63/8: Рейтинг темы: голосов - 8, средняя оценка - 4.63
Severomor
2 / 2 / 0
Регистрация: 09.01.2014
Сообщений: 15
1

Build.gradle - параметры SdkVersion

16.02.2014, 11:59. Просмотров 1520. Ответов 3
Метки нет (Все метки)

Приветствую,
В build.gradle есть три параметра:
minSdkVersion
targetSdkVersion
compileSdkVersion
Если с первым все понятно, то с оставшимися двумя - не очень. Логично предположить, что в targetSdkVersion надо ставить номер версии, для которой разрабатывается приложение. В моем случае это Jelly Bean, то есть targetSdk должно быть 18. Так? Но если я ставлю 18, студия пишет предупреждение, что not targeting the latest version of android. И как быть?
А compileSdkVersion - что вообще означает?
И должна ли быть какая то связь между этими тремя параметрами и циферками в этой секции:
Java
1
2
3
4
dependencies {
    compile 'com.android.support:support-v4:19.0.1'
    compile 'com.android.support:appcompat-v7:19.0.+'
}
0
Надоела реклама? Зарегистрируйтесь и она исчезнет полностью.
Similar
Эксперт
41792 / 34177 / 6122
Регистрация: 12.04.2006
Сообщений: 57,940
16.02.2014, 11:59
Ответы с готовыми решениями:

TargetSdkVersion в build.gradle
compileSdkVersion - это версия при помощи которой я компилирую свое приложение,...

MinifyEnabled в build.gradle
Можете объяснить за что отвечает параметр minifyEnabled в build.gradle файле?...

Нет второго build.gradle в проекте
Привет! Перешел с eclipse на android studio. Экспортировал проект все нормально...

`Gradle build finished with 1 error` в пустом приложении
Приветствую. Использую Android Studio. Раньше работало; теперь после...

В android studio - Ошибка: build.gradle error (23,17)
В android studio - Ошибка: build.gradle error (23,17), только установил,...

3
Netscape
374 / 361 / 52
Регистрация: 02.10.2009
Сообщений: 712
Записей в блоге: 4
16.02.2014, 14:07 2
targetSdkVersion
compileSdkVersion
долно быть 19 - последняя версия.
0
Severomor
2 / 2 / 0
Регистрация: 09.01.2014
Сообщений: 15
16.02.2014, 14:10  [ТС] 3
Цитата Сообщение от Netscape Посмотреть сообщение
targetSdkVersion
compileSdkVersion
долно быть 19 - последняя версия.
А если я пишу под android 4.3? Или это значения не имеет?
0
Netscape
374 / 361 / 52
Регистрация: 02.10.2009
Сообщений: 712
Записей в блоге: 4
16.02.2014, 21:50 4
Цитата Сообщение от Severomor Посмотреть сообщение
А если я пишу под android 4.3? Или это значения не имеет?
не имеет.
minSdkVersion должно быть 18, если поддержка только 4.3+.
1
MoreAnswers
Эксперт
37091 / 29110 / 5898
Регистрация: 17.06.2006
Сообщений: 43,301
16.02.2014, 21:50

Gradle build finished with 4 error(s). Android Studio. My First App
Добрый день, уважаемые форумчане! Я - новичок в программировании под...

Error in Android Studio: Gradle build finished with 41 error(s)
При запуске нового проекта выдает ошибку: Gradle build finished with 41...

Gradle sync failed: Invalid Gradle JDK configuration found
Спустя пару часов все таки решил открыть тему. Intellij IDEA 15.0.2 ...


Искать еще темы с ответами

Или воспользуйтесь поиском по форуму:
4
Ответ Создать тему
Опции темы

КиберФорум - форум программистов, компьютерный форум, программирование
Powered by vBulletin® Version 3.8.9
Copyright ©2000 - 2018, vBulletin Solutions, Inc.
Рейтинг@Mail.ru